%define _buildid .33

%global py26nvr python26-setuptools-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-setuptools-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%global py34nvr python34-setuptools-%{version}-%{release}
%global py34builddir %{_builddir}/%{py34nvr}
%global py34doc ../%{py34nvr}

%global py35nvr python35-setuptools-%{version}-%{release}
%global py35builddir %{_builddir}/%{py35nvr}
%global py35doc ../%{py35nvr}

%global py36nvr python36-setuptools-%{version}-%{release}
%global py36builddir %{_builddir}/%{py36nvr}
%global py36doc ../%{py36nvr}

# testsuite currently downloads files over the network, so it's unsuitable
# for packages build on Koji.
# Build with '--with tests' to enable tests
%bcond_with tests # without

%global upstream_name setuptools

Name: python-setuptools
Version: 36.2.7
Release: 1%{?_buildid}%{?dist}
Summary: Easily build and distribute Python packages
Group: Applications/System
License: Python or ZPLv2.0
URL: http://pypi.python.org/pypi/%{upstream_name}
Source0: http://pypi.python.org/packages/source/s/%{upstream_name}/%{upstream_name}-%{version}.zip
Source1: psfl.txt
Source2: zpl.txt

# Implements --install-layout=amzn
Patch100: setuptools-36.2.7-install-layout.patch
Patch101: setuptools-36.2.7-install-layout-extra-layouts.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27
BuildRequires: python34
BuildRequires: python35
BuildRequires: python36

%description
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

%package -n python26-setuptools
Summary: Easily build and distribute Python packages
BuildRequires:  python26-devel
BuildRequires:  python26-backports-ssl_match_hostname
%if %{with tests}
BuildRequires:  python26-pytest
BuildRequires:  python26-mock
%endif
Requires: python26(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python26(alternatives)
Requires(preun): alternatives(removeslave)
Requires:       python26-backports-ssl_match_hostname
Provides: python-setuptools = %{version}-%{release}
# Legacy: We removed this subpackage once easy_install no longer depended on
# python-devel
Provides: python-setuptools-devel = %{version}-%{release}

# Provide this since some people might still request distribute by name
Provides: python-distribute = %{version}-%{release}
Obsoletes: python-setuptools <= 5.7-1.18.amzn1.noarch
Obsoletes: python-setuptools-devel < 0.6.7-1

%description -n python26-setuptools
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

This package is meant to be used with Python 2.6.

%package -n python27-setuptools
Summary: Easily build and distribute Python packages
BuildRequires:  python27-devel
BuildRequires:  python27-backports-ssl_match_hostname
%if %{with tests}
BuildRequires:  python27-pytest
BuildRequires:  python27-mock
%endif
Requires: python27(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python27(alternatives)
Requires(preun): alternatives(removeslave)
Requires:       python27-backports-ssl_match_hostname
Conflicts: python-setuptools <= 5.7-1.18.amzn1.noarch

%description -n python27-setuptools
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

This package is meant to be used with Python 2.7.

%package -n python34-setuptools
Summary: Easily build and distribute Python packages
BuildRequires:  python34-devel
%if %{with tests}
BuildRequires:  python34-pytest
BuildRequires:  python34-mock
%endif
Requires: python34(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python34(alternatives)
Requires(preun): alternatives(removeslave)
Conflicts: python-setuptools <= 5.7-1.18.amzn1.noarch

%description -n python34-setuptools
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

This package is meant to be used with Python 3.4.

%package -n python35-setuptools
Summary: Easily build and distribute Python packages
BuildRequires:  python35-devel
%if %{with tests}
BuildRequires:  python35-pytest
BuildRequires:  python35-mock
%endif
Requires: python35(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python35(alternatives)
Requires(preun): alternatives(removeslave)
Conflicts: python-setuptools <= 5.7-1.18.amzn1.noarch

%description -n python35-setuptools
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

This package is meant to be used with Python 3.5.

%package -n python36-setuptools
Summary: Easily build and distribute Python packages
BuildRequires:  python36-devel
%if %{with tests}
BuildRequires:  python36-pytest
BuildRequires:  python36-mock
%endif
Requires: python36(alternatives)
Requires: alternatives(addslave)
Requires: alternatives(removeslave)
Requires: alternatives(force)
Requires(preun): python36(alternatives)
Requires(preun): alternatives(removeslave)
Conflicts: python-setuptools <= 5.7-1.18.amzn1.noarch

%description -n python36-setuptools
Setuptools is a collection of enhancements to the Python distutils that allow
you to more easily build and distribute Python packages, especially ones that
have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to
execute the software that requires pkg_resources.py.

This package is meant to be used with Python 3.6.

%prep
%setup -q -n %{upstream_name}-%{version}
%patch100 -p1
%patch101 -p1


%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

rm -rf %{py34builddir}
mkdir -p %{py34builddir}
cp -a * %{py34builddir}
pushd %{py34builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python34} setup.py build 
popd

rm -rf %{py35builddir}
mkdir -p %{py35builddir}
cp -a * %{py35builddir}
pushd %{py35builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python35} setup.py build 
popd

rm -rf %{py36builddir}
mkdir -p %{py36builddir}
cp -a * %{py36builddir}
pushd %{py36builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python36} setup.py build 
popd

%install
rm -rf %{buildroot}

install -p -m 0644 %{SOURCE1} %{SOURCE2} .

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
find %{buildroot}%{python26_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python26_sitelib}/setuptools/command/easy_install.py
%__python26_shebang %{buildroot}%{python26_sitelib}/setuptools/command/easy_install.py
%__python26_shebang %{buildroot}%{python26_sitelib}/pkg_resources/_vendor/appdirs.py

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
find %{buildroot}%{python27_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python27_sitelib}/setuptools/command/easy_install.py
%__python27_shebang %{buildroot}%{python27_sitelib}/setuptools/command/easy_install.py
%__python27_shebang %{buildroot}%{python27_sitelib}/pkg_resources/_vendor/appdirs.py

pushd %{py34builddir}
%{__python34} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
find %{buildroot}%{python34_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python34_sitelib}/setuptools/command/easy_install.py
%__python34_shebang %{buildroot}%{python34_sitelib}/setuptools/command/easy_install.py
%__python34_shebang %{buildroot}%{python34_sitelib}/pkg_resources/_vendor/appdirs.py

pushd %{py35builddir}
%{__python35} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
find %{buildroot}%{python35_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python35_sitelib}/setuptools/command/easy_install.py
%__python35_shebang %{buildroot}%{python35_sitelib}/setuptools/command/easy_install.py
%__python35_shebang %{buildroot}%{python35_sitelib}/pkg_resources/_vendor/appdirs.py

pushd %{py36builddir}
%{__python36} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd
find %{buildroot}%{python36_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python36_sitelib}/setuptools/command/easy_install.py
%__python36_shebang %{buildroot}%{python36_sitelib}/setuptools/command/easy_install.py
%__python36_shebang %{buildroot}%{python36_sitelib}/pkg_resources/_vendor/appdirs.py
# easy_install is provided by alternatives
rm %{buildroot}%{_bindir}/easy_install

%check
%if %{with tests}
pushd %{py26builddir}
LANG=en_US.utf8 %{__python26} setup.py test
popd
pushd %{py27builddir}
LANG=en_US.utf8 %{__python27} setup.py test
popd
pushd %{py34builddir}
LANG=en_US.utf8 %{__python34} setup.py test
popd
pushd %{py35builddir}
LANG=en_US.utf8 %{__python35} setup.py test
popd
pushd %{py36builddir}
LANG=en_US.utf8 %{__python36} setup.py test
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}
rm -rf %{py34builddir}
rm -rf %{py35builddir}
rm -rf %{py36builddir}

%triggerin -n python26-setuptools -- python26
# Refresh alternatives when updating python26-setuptools or python26.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python2.6 \
  --addslave %{_bindir}/easy_install easy_install %{_bindir}/easy_install-2.6 \
  || :

%preun -n python26-setuptools
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python2.6 \
    --removeslave easy_install \
 || :
fi

%triggerin -n python27-setuptools -- python27
# Refresh alternatives when updating python27-setuptools or python27.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python2.7 \
  --addslave %{_bindir}/easy_install easy_install %{_bindir}/easy_install-2.7 \
  || :

%preun -n python27-setuptools
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python2.7 \
    --removeslave easy_install \
 || :
fi

%triggerin -n python34-setuptools -- python34
# Refresh alternatives when updating python34-setuptools or python34.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python3.4 \
  --addslave %{_bindir}/easy_install easy_install %{_bindir}/easy_install-3.4 \
  || :

%preun -n python34-setuptools
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python3.4 \
    --removeslave easy_install \
 || :
fi

%triggerin -n python35-setuptools -- python35
# Refresh alternatives when updating python35-setuptools or python35.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python3.5 \
  --addslave %{_bindir}/easy_install easy_install %{_bindir}/easy_install-3.5 \
  || :

%preun -n python35-setuptools
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python3.5 \
    --removeslave easy_install \
 || :
fi

%triggerin -n python36-setuptools -- python36
# Refresh alternatives when updating python36-setuptools or python36.
%{_sbindir}/update-alternatives \
  --force \
  --update python %{_bindir}/python3.6 \
  --addslave %{_bindir}/easy_install easy_install %{_bindir}/easy_install-3.6 \
  || :

%preun -n python36-setuptools
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --update python %{_bindir}/python3.6 \
    --removeslave easy_install \
 || :
fi

%files -n python26-setuptools
%doc *.txt docs
%{python26_sitelib}/*
%{_bindir}/easy_install-2.6
%ghost %{_bindir}/easy_install

%files -n python27-setuptools
%doc *.txt docs
%{python27_sitelib}/*
%{_bindir}/easy_install-2.7
%ghost %{_bindir}/easy_install

%files -n python34-setuptools
%doc *.txt docs
%{python34_sitelib}/*
%{_bindir}/easy_install-3.4
%ghost %{_bindir}/easy_install

%files -n python35-setuptools
%doc *.txt docs
%{python35_sitelib}/*
%{_bindir}/easy_install-3.5
%ghost %{_bindir}/easy_install

%files -n python36-setuptools
%doc *.txt docs
%{python36_sitelib}/*
%{_bindir}/easy_install-3.6
%ghost %{_bindir}/easy_install

%changelog
* Fri Aug 25 2017 Jason Green <jasg@amazon.com>
- Update to 36.2.7

* Thu Mar 12 2015 Rodrigo Novo <rodarvus@amazon.de>
- Add python34 subpackage

* Mon Feb 23 2015 Rodrigo Novo <rodarvus@amazon.de>
- Updated to upstream version 12.2

* Mon Sep 15 2014 Rodrigo Novo <rodarvus@amazon.com>
- Split package into Python 2.6 / Python 2.7 subpackages

* Wed May 7 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/python-setuptools-0.9.8-3.el7

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 0.9.8-3
- Mass rebuild 2013-12-27

* Fri Dec 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/python-setuptools-0.9.8-2.el7

* Wed Sep 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.8-2
- Always use match_hostname function from backports-ssl_match_hostname.
Resolves: rhbz#999863

* Mon Jul 29 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.8-1
- Update to setuptools 0.9.8.

* Wed Jul 17 2013 Matej Stuchlik <mstuchli@redhat.com> - 0.9.5-1
- Updated to 0.9.5, fixing rhbz#963260

* Mon Jul 15 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.1-1
- Update to setuptools 0.9.1.

* Thu Jul 11 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.8-1
- Switch source from distribute to setuptools, that are now uptodate and supported.
- Update to setuptools 0.8.0.
- Specfile cleanup (unnecessary Python 3 logic, old RPM stuff, bogus changelog dates)

* Thu Apr 11 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.36-1
- Update to upstream 0.6.36.  Many bugfixes

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 03 2012 David Malcolm <dmalcolm@redhat.com> - 0.6.28-3
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Fri Aug  3 2012 David Malcolm <dmalcolm@redhat.com> - 0.6.28-2
- remove rhel logic from with_python3 conditional

* Mon Jul 23 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.28-1
- New upstream release:
  - python-3.3 fixes
  - honor umask when setuptools is used to install other modules

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.27-2
- Fix easy_install.py having a python3 shebang in the python2 package

* Thu Jun  7 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.27-1
- Upstream bugfix

* Tue May 15 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.24-2
- Upstream bugfix

* Tue Mar 6 2012 Cristian Gafton <gafton@amazon.com>
- make check under p[ython 2.4 requires python newer than 2.4...

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.24-1
- Upstream bugfix
- Compile the win32 launcher binary using mingw

* Sun Aug 21 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.21-1
- Upstream bugfix release

* Thu Jul 14 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.19-1
- Upstream bugfix release

* Tue Feb 22 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.14-7
- Switch to patch that I got in to upstream

* Tue Feb 22 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.14-6
- Fix build on python-3.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 2 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/python-setuptools-0.6.10-3.el6

* Sun Aug 22 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.6.14-4
- rebuild with python3.2
  http://lists.fedoraproject.org/pipermail/devel/2010-August/141368.html

* Tue Aug 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.14-3
- Update description to mention this is distribute

* Thu Jul 22 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.6.14-2
- bump for building against python 2.7

* Thu Jul 22 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.6.14-1
- update to new version
- all patches are upsteam

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.13-7
- generalize path of easy_install-2.6 and -3.1 to -2.* and -3.*

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.13-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 13 2010 Cristian Gafton <gafton@amazon.com>
- rebuild

* Mon Jul 12 2010 Cristian Gafton <gafton@amazon.com>
- pre-merge commit for rhel6 merge

* Fri Jul 9 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/python-setuptools-0.6.10-1.el6
- import source package RHEL6/python-setuptools-0.6c9-5.1.el6

* Sat Jul 3 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.13-5
- Upstream patch for compatibility problem with setuptools
- Minor spec cleanups
- Provide python-distribute for those who see an import distribute and need
  to get the proper package.

* Wed Jun 30 2010 Cristian Gafton <gafton@amazon.com>
- import source package GOBI/python-setuptools-0.6c7-1

* Thu Jun 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.13-4
- Fix race condition in unittests under the python-2.6.x on F-14.

* Thu Jun 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.13-3
- Fix few more buildroot macros

* Thu Jun 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.13-2
- Include data that's needed for running tests

* Thu Jun 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.13-1
- Update to upstream 0.6.13
- Minor specfile formatting fixes

* Fri May 7 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/python-setuptools-0.6c5-2.el5
- added submodule prep for package python-setuptools

* Thu Feb 04 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.10-3
- First build with python3 support enabled.

* Fri Jan 29 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.10-2
- Really disable the python3 portion

* Fri Jan 29 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.10-1
- Update the python3 portions but disable for now.
- Update to 0.6.10
- Remove %%pre scriptlet as the file has a different name than the old
  package's directory

* Tue Jan 26 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.9-4
- Fix install to make /usr/bin/easy_install the py2 version
- Don't need python3-tools since the library is now in the python3 package
- Few other changes to cleanup style

* Fri Jan 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.9-2
- add python3 subpackage

* Mon Dec 14 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.9-1
- New upstream bugfix release.

* Sun Dec 13 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.8-2
- Test rebuild

* Mon Nov 16 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.8-1
- Update to 0.6.8.
- Fix directory => file transition when updating from setuptools-0.6c9.

* Tue Nov 3 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.7-2
- Fix duplicate inclusion of files.
- Only Obsolete old versions of python-setuptools-devel

* Tue Nov 3 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.7-1
- Move easy_install back into the main package as the needed files have been
  moved from python-devel to the main python package.
- Update to 0.6.7 bugfix.

* Fri Oct 16 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.6-1
- Upstream bugfix release.

* Mon Oct 12 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.4-1
- First build from the distribute codebase -- distribute-0.6.4.
- Remove svn patch as upstream has chosen to go with an easier change for now.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6c9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c9-4
- Apply SVN-1.6 versioning patch (rhbz #511021)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6c9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
